<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) XXXX-2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="ludel">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>ludel</refname>
    <refpurpose> utility function used with lufact</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>ludel(hand)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>hand</term>
        <listitem>
          <para>handle to sparse lu factors (output of lufact)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    This function is used in conjunction with <literal>lufact</literal>. It clears 
    the internal memory space used to store the result of <literal>lufact</literal>.</para>
    <para>
    The sequence of commands <literal>[p,r]=lufact(A);x=lusolve(p,b);ludel(p);</literal>
    solves the sparse linear system  <literal>A*x = b</literal> and clears <literal>p</literal>.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="sparse">sparse</link>
      </member>
      <member>
        <link linkend="lufact">lufact</link>
      </member>
      <member>
        <link linkend="luget">luget</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
